OSDN Git Service

TextArrayFormatをtextarrayformatに変更した。
[simplecms/utakata.git] / test / Makefile
1 # Makefile.in generated by automake 1.10.2 from Makefile.am.
2 # test/Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15
16
17
18 pkgdatadir = $(datadir)/utakata
19 pkglibdir = $(libdir)/utakata
20 pkgincludedir = $(includedir)/utakata
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 bin_PROGRAMS = utf8_test$(EXEEXT) textarrayformat_test$(EXEEXT) \
34         utf8_string_test$(EXEEXT) lexer_test$(EXEEXT) \
35         sublexer_test$(EXEEXT) parser_test$(EXEEXT)
36 subdir = test
37 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
38 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39 am__aclocal_m4_deps = $(top_srcdir)/configure.in
40 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41         $(ACLOCAL_M4)
42 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
43 CONFIG_HEADER = $(top_builddir)/config.h
44 CONFIG_CLEAN_FILES =
45 am__installdirs = "$(DESTDIR)$(bindir)"
46 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
47 PROGRAMS = $(bin_PROGRAMS)
48 am_lexer_test_OBJECTS = lexer_test.$(OBJEXT) lexer.$(OBJEXT) \
49         simpletest.$(OBJEXT) utf8_string.$(OBJEXT) utf8.$(OBJEXT) \
50         lexeme_id.$(OBJEXT) textarrayformat.$(OBJEXT) \
51         sublexer_impl.$(OBJEXT) lexeme_impl.$(OBJEXT) \
52         delimiter.$(OBJEXT)
53 lexer_test_OBJECTS = $(am_lexer_test_OBJECTS)
54 lexer_test_LDADD = $(LDADD)
55 am_parser_test_OBJECTS = parser_test.$(OBJEXT) sublexer_impl.$(OBJEXT) \
56         simpletest.$(OBJEXT) utf8.$(OBJEXT) utf8_string.$(OBJEXT) \
57         lexeme_id.$(OBJEXT) lexeme_impl.$(OBJEXT) parser.$(OBJEXT) \
58         delimiter.$(OBJEXT) textarrayformat.$(OBJEXT)
59 parser_test_OBJECTS = $(am_parser_test_OBJECTS)
60 parser_test_LDADD = $(LDADD)
61 am_sublexer_test_OBJECTS = sublexer_test.$(OBJEXT) \
62         sublexer_impl.$(OBJEXT) simpletest.$(OBJEXT) \
63         utf8_string.$(OBJEXT) utf8.$(OBJEXT) lexeme_id.$(OBJEXT) \
64         lexeme_impl.$(OBJEXT) delimiter.$(OBJEXT)
65 sublexer_test_OBJECTS = $(am_sublexer_test_OBJECTS)
66 sublexer_test_LDADD = $(LDADD)
67 am_textarrayformat_test_OBJECTS = textarrayformat_test.$(OBJEXT) \
68         textarrayformat.$(OBJEXT) simpletest.$(OBJEXT)
69 textarrayformat_test_OBJECTS = $(am_textarrayformat_test_OBJECTS)
70 textarrayformat_test_LDADD = $(LDADD)
71 am_utf8_string_test_OBJECTS = utf8_string_test.$(OBJEXT) \
72         utf8_string.$(OBJEXT) simpletest.$(OBJEXT) utf8.$(OBJEXT)
73 utf8_string_test_OBJECTS = $(am_utf8_string_test_OBJECTS)
74 utf8_string_test_LDADD = $(LDADD)
75 am_utf8_test_OBJECTS = utf8_test.$(OBJEXT) utf8.$(OBJEXT) \
76         simpletest.$(OBJEXT)
77 utf8_test_OBJECTS = $(am_utf8_test_OBJECTS)
78 utf8_test_LDADD = $(LDADD)
79 DEFAULT_INCLUDES = -I. -I$(top_builddir)
80 depcomp = $(SHELL) $(top_srcdir)/depcomp
81 am__depfiles_maybe = depfiles
82 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
83         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
84 CXXLD = $(CXX)
85 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
86         -o $@
87 SOURCES = $(lexer_test_SOURCES) $(parser_test_SOURCES) \
88         $(sublexer_test_SOURCES) $(textarrayformat_test_SOURCES) \
89         $(utf8_string_test_SOURCES) $(utf8_test_SOURCES)
90 DIST_SOURCES = $(lexer_test_SOURCES) $(parser_test_SOURCES) \
91         $(sublexer_test_SOURCES) $(textarrayformat_test_SOURCES) \
92         $(utf8_string_test_SOURCES) $(utf8_test_SOURCES)
93 ETAGS = etags
94 CTAGS = ctags
95 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
96 ACLOCAL = ${SHELL} /home/derui/develop/sdl/missing --run aclocal-1.10
97 AMTAR = ${SHELL} /home/derui/develop/sdl/missing --run tar
98 AUTOCONF = ${SHELL} /home/derui/develop/sdl/missing --run autoconf
99 AUTOHEADER = ${SHELL} /home/derui/develop/sdl/missing --run autoheader
100 AUTOMAKE = ${SHELL} /home/derui/develop/sdl/missing --run automake-1.10
101 AWK = gawk
102 CC = gcc
103 CCDEPMODE = depmode=gcc3
104 CFLAGS = -g -O2
105 CPP = gcc -E
106 CPPFLAGS = 
107 CXX = g++
108 CXXDEPMODE = depmode=gcc3
109 CXXFLAGS = -g -O2
110 CYGPATH_W = echo
111 DEFS = -DHAVE_CONFIG_H
112 DEPDIR = .deps
113 ECHO_C = 
114 ECHO_N = -n
115 ECHO_T = 
116 EGREP = /bin/grep -E
117 EXEEXT = 
118 GREP = /bin/grep
119 INSTALL = /usr/bin/install -c
120 INSTALL_DATA = ${INSTALL} -m 644
121 INSTALL_PROGRAM = ${INSTALL}
122 INSTALL_SCRIPT = ${INSTALL}
123 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
124 LDFLAGS = 
125 LIBOBJS = 
126 LIBS = 
127 LTLIBOBJS = 
128 MAKEINFO = ${SHELL} /home/derui/develop/sdl/missing --run makeinfo
129 MKDIR_P = /bin/mkdir -p
130 OBJEXT = o
131 PACKAGE = utakata
132 PACKAGE_BUGREPORT = BUG-REPORT-ADDRESS
133 PACKAGE_NAME = utakata
134 PACKAGE_STRING = utakata 0.0.1
135 PACKAGE_TARNAME = utakata
136 PACKAGE_VERSION = 0.0.1
137 PATH_SEPARATOR = :
138 SET_MAKE = 
139 SHELL = /bin/sh
140 STRIP = 
141 VERSION = 0.0.1
142 abs_builddir = /home/derui/develop/sdl/test
143 abs_srcdir = /home/derui/develop/sdl/test
144 abs_top_builddir = /home/derui/develop/sdl
145 abs_top_srcdir = /home/derui/develop/sdl
146 ac_ct_CC = gcc
147 ac_ct_CXX = g++
148 am__include = include
149 am__leading_dot = .
150 am__quote = 
151 am__tar = ${AMTAR} chof - "$$tardir"
152 am__untar = ${AMTAR} xf -
153 bindir = ${exec_prefix}/bin
154 build_alias = 
155 builddir = .
156 datadir = ${datarootdir}
157 datarootdir = ${prefix}/share
158 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
159 dvidir = ${docdir}
160 exec_prefix = ${prefix}
161 host_alias = 
162 htmldir = ${docdir}
163 includedir = ${prefix}/include
164 infodir = ${datarootdir}/info
165 install_sh = $(SHELL) /home/derui/develop/sdl/install-sh
166 libdir = ${exec_prefix}/lib
167 libexecdir = ${exec_prefix}/libexec
168 localedir = ${datarootdir}/locale
169 localstatedir = ${prefix}/var
170 mandir = ${datarootdir}/man
171 mkdir_p = /bin/mkdir -p
172 oldincludedir = /usr/include
173 pdfdir = ${docdir}
174 prefix = /usr/local
175 program_transform_name = s,x,x,
176 psdir = ${docdir}
177 sbindir = ${exec_prefix}/sbin
178 sharedstatedir = ${prefix}/com
179 srcdir = .
180 sysconfdir = ${prefix}/etc
181 target_alias = 
182 top_build_prefix = ../
183 top_builddir = ..
184 top_srcdir = ..
185
186 # 警告レベルを最大にする。
187 AM_CPPFLAGS = -Wall
188 INCLUDES = -l$(top_srcdir)
189 utf8_string_test_SOURCES = utf8_string_test.cpp ../utf8_string.cpp ../simpletest.cpp ../utf8.cpp
190 utf8_test_SOURCES = utf8_test.cpp ../utf8.cpp ../simpletest.cpp
191 textarrayformat_test_SOURCES = textarrayformat_test.cpp ../textarrayformat.cpp ../simpletest.cpp
192 lexer_test_SOURCES = lexer_test.cpp ../lexer.cpp  ../simpletest.cpp ../utf8_string.cpp ../utf8.cpp \
193 ../lexeme_id.cpp ../textarrayformat.cpp ../sublexer_impl.cpp ../lexeme_impl.cpp ../delimiter.cpp
194
195 sublexer_test_SOURCES = sublexer_test.cpp ../sublexer_impl.cpp ../simpletest.cpp ../utf8_string.cpp ../utf8.cpp \
196 ../lexeme_id.cpp ../lexeme_impl.cpp ../delimiter.cpp
197
198 parser_test_SOURCES = parser_test.cpp ../sublexer_impl.cpp ../simpletest.cpp ../utf8.cpp ../utf8_string.cpp \
199 ../lexeme_id.cpp ../lexeme_impl.cpp ../parser.cpp ../delimiter.cpp ../textarrayformat.cpp
200
201 check_PROGRANS = $(bin_PROGRAMS)
202 TESTS = $(bin_PROGRAMS)
203 all: all-am
204
205 .SUFFIXES:
206 .SUFFIXES: .cpp .o .obj
207 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
208         @for dep in $?; do \
209           case '$(am__configure_deps)' in \
210             *$$dep*) \
211               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
212                 && { if test -f $@; then exit 0; else break; fi; }; \
213               exit 1;; \
214           esac; \
215         done; \
216         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  test/Makefile'; \
217         cd $(top_srcdir) && \
218           $(AUTOMAKE) --gnu  test/Makefile
219 .PRECIOUS: Makefile
220 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
221         @case '$?' in \
222           *config.status*) \
223             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
224           *) \
225             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
226             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
227         esac;
228
229 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
230         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
231
232 $(top_srcdir)/configure:  $(am__configure_deps)
233         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
234 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
235         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
236 install-binPROGRAMS: $(bin_PROGRAMS)
237         @$(NORMAL_INSTALL)
238         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
239         @list='$(bin_PROGRAMS)'; for p in $$list; do \
240           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
241           if test -f $$p \
242           ; then \
243             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
244            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
245            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
246           else :; fi; \
247         done
248
249 uninstall-binPROGRAMS:
250         @$(NORMAL_UNINSTALL)
251         @list='$(bin_PROGRAMS)'; for p in $$list; do \
252           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
253           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
254           rm -f "$(DESTDIR)$(bindir)/$$f"; \
255         done
256
257 clean-binPROGRAMS:
258         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
259 lexer_test$(EXEEXT): $(lexer_test_OBJECTS) $(lexer_test_DEPENDENCIES) 
260         @rm -f lexer_test$(EXEEXT)
261         $(CXXLINK) $(lexer_test_OBJECTS) $(lexer_test_LDADD) $(LIBS)
262 parser_test$(EXEEXT): $(parser_test_OBJECTS) $(parser_test_DEPENDENCIES) 
263         @rm -f parser_test$(EXEEXT)
264         $(CXXLINK) $(parser_test_OBJECTS) $(parser_test_LDADD) $(LIBS)
265 sublexer_test$(EXEEXT): $(sublexer_test_OBJECTS) $(sublexer_test_DEPENDENCIES) 
266         @rm -f sublexer_test$(EXEEXT)
267         $(CXXLINK) $(sublexer_test_OBJECTS) $(sublexer_test_LDADD) $(LIBS)
268 textarrayformat_test$(EXEEXT): $(textarrayformat_test_OBJECTS) $(textarrayformat_test_DEPENDENCIES) 
269         @rm -f textarrayformat_test$(EXEEXT)
270         $(CXXLINK) $(textarrayformat_test_OBJECTS) $(textarrayformat_test_LDADD) $(LIBS)
271 utf8_string_test$(EXEEXT): $(utf8_string_test_OBJECTS) $(utf8_string_test_DEPENDENCIES) 
272         @rm -f utf8_string_test$(EXEEXT)
273         $(CXXLINK) $(utf8_string_test_OBJECTS) $(utf8_string_test_LDADD) $(LIBS)
274 utf8_test$(EXEEXT): $(utf8_test_OBJECTS) $(utf8_test_DEPENDENCIES) 
275         @rm -f utf8_test$(EXEEXT)
276         $(CXXLINK) $(utf8_test_OBJECTS) $(utf8_test_LDADD) $(LIBS)
277
278 mostlyclean-compile:
279         -rm -f *.$(OBJEXT)
280
281 distclean-compile:
282         -rm -f *.tab.c
283
284 include ./$(DEPDIR)/delimiter.Po
285 include ./$(DEPDIR)/lexeme_id.Po
286 include ./$(DEPDIR)/lexeme_impl.Po
287 include ./$(DEPDIR)/lexer.Po
288 include ./$(DEPDIR)/lexer_test.Po
289 include ./$(DEPDIR)/parser.Po
290 include ./$(DEPDIR)/parser_test.Po
291 include ./$(DEPDIR)/simpletest.Po
292 include ./$(DEPDIR)/sublexer_impl.Po
293 include ./$(DEPDIR)/sublexer_test.Po
294 include ./$(DEPDIR)/textarrayformat.Po
295 include ./$(DEPDIR)/textarrayformat_test.Po
296 include ./$(DEPDIR)/utf8.Po
297 include ./$(DEPDIR)/utf8_string.Po
298 include ./$(DEPDIR)/utf8_string_test.Po
299 include ./$(DEPDIR)/utf8_test.Po
300
301 .cpp.o:
302         $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
303         mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
304 #       source='$<' object='$@' libtool=no \
305 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
306 #       $(CXXCOMPILE) -c -o $@ $<
307
308 .cpp.obj:
309         $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
310         mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
311 #       source='$<' object='$@' libtool=no \
312 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
313 #       $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
314
315 lexer.o: ../lexer.cpp
316         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT lexer.o -MD -MP -MF $(DEPDIR)/lexer.Tpo -c -o lexer.o `test -f '../lexer.cpp' || echo '$(srcdir)/'`../lexer.cpp
317         mv -f $(DEPDIR)/lexer.Tpo $(DEPDIR)/lexer.Po
318 #       source='../lexer.cpp' object='lexer.o' libtool=no \
319 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
320 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o lexer.o `test -f '../lexer.cpp' || echo '$(srcdir)/'`../lexer.cpp
321
322 lexer.obj: ../lexer.cpp
323         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT lexer.obj -MD -MP -MF $(DEPDIR)/lexer.Tpo -c -o lexer.obj `if test -f '../lexer.cpp'; then $(CYGPATH_W) '../lexer.cpp'; else $(CYGPATH_W) '$(srcdir)/../lexer.cpp'; fi`
324         mv -f $(DEPDIR)/lexer.Tpo $(DEPDIR)/lexer.Po
325 #       source='../lexer.cpp' object='lexer.obj' libtool=no \
326 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
327 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o lexer.obj `if test -f '../lexer.cpp'; then $(CYGPATH_W) '../lexer.cpp'; else $(CYGPATH_W) '$(srcdir)/../lexer.cpp'; fi`
328
329 simpletest.o: ../simpletest.cpp
330         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT simpletest.o -MD -MP -MF $(DEPDIR)/simpletest.Tpo -c -o simpletest.o `test -f '../simpletest.cpp' || echo '$(srcdir)/'`../simpletest.cpp
331         mv -f $(DEPDIR)/simpletest.Tpo $(DEPDIR)/simpletest.Po
332 #       source='../simpletest.cpp' object='simpletest.o' libtool=no \
333 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
334 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o simpletest.o `test -f '../simpletest.cpp' || echo '$(srcdir)/'`../simpletest.cpp
335
336 simpletest.obj: ../simpletest.cpp
337         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT simpletest.obj -MD -MP -MF $(DEPDIR)/simpletest.Tpo -c -o simpletest.obj `if test -f '../simpletest.cpp'; then $(CYGPATH_W) '../simpletest.cpp'; else $(CYGPATH_W) '$(srcdir)/../simpletest.cpp'; fi`
338         mv -f $(DEPDIR)/simpletest.Tpo $(DEPDIR)/simpletest.Po
339 #       source='../simpletest.cpp' object='simpletest.obj' libtool=no \
340 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
341 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o simpletest.obj `if test -f '../simpletest.cpp'; then $(CYGPATH_W) '../simpletest.cpp'; else $(CYGPATH_W) '$(srcdir)/../simpletest.cpp'; fi`
342
343 utf8_string.o: ../utf8_string.cpp
344         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT utf8_string.o -MD -MP -MF $(DEPDIR)/utf8_string.Tpo -c -o utf8_string.o `test -f '../utf8_string.cpp' || echo '$(srcdir)/'`../utf8_string.cpp
345         mv -f $(DEPDIR)/utf8_string.Tpo $(DEPDIR)/utf8_string.Po
346 #       source='../utf8_string.cpp' object='utf8_string.o' libtool=no \
347 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
348 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o utf8_string.o `test -f '../utf8_string.cpp' || echo '$(srcdir)/'`../utf8_string.cpp
349
350 utf8_string.obj: ../utf8_string.cpp
351         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT utf8_string.obj -MD -MP -MF $(DEPDIR)/utf8_string.Tpo -c -o utf8_string.obj `if test -f '../utf8_string.cpp'; then $(CYGPATH_W) '../utf8_string.cpp'; else $(CYGPATH_W) '$(srcdir)/../utf8_string.cpp'; fi`
352         mv -f $(DEPDIR)/utf8_string.Tpo $(DEPDIR)/utf8_string.Po
353 #       source='../utf8_string.cpp' object='utf8_string.obj' libtool=no \
354 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
355 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o utf8_string.obj `if test -f '../utf8_string.cpp'; then $(CYGPATH_W) '../utf8_string.cpp'; else $(CYGPATH_W) '$(srcdir)/../utf8_string.cpp'; fi`
356
357 utf8.o: ../utf8.cpp
358         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT utf8.o -MD -MP -MF $(DEPDIR)/utf8.Tpo -c -o utf8.o `test -f '../utf8.cpp' || echo '$(srcdir)/'`../utf8.cpp
359         mv -f $(DEPDIR)/utf8.Tpo $(DEPDIR)/utf8.Po
360 #       source='../utf8.cpp' object='utf8.o' libtool=no \
361 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
362 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o utf8.o `test -f '../utf8.cpp' || echo '$(srcdir)/'`../utf8.cpp
363
364 utf8.obj: ../utf8.cpp
365         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT utf8.obj -MD -MP -MF $(DEPDIR)/utf8.Tpo -c -o utf8.obj `if test -f '../utf8.cpp'; then $(CYGPATH_W) '../utf8.cpp'; else $(CYGPATH_W) '$(srcdir)/../utf8.cpp'; fi`
366         mv -f $(DEPDIR)/utf8.Tpo $(DEPDIR)/utf8.Po
367 #       source='../utf8.cpp' object='utf8.obj' libtool=no \
368 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
369 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o utf8.obj `if test -f '../utf8.cpp'; then $(CYGPATH_W) '../utf8.cpp'; else $(CYGPATH_W) '$(srcdir)/../utf8.cpp'; fi`
370
371 lexeme_id.o: ../lexeme_id.cpp
372         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT lexeme_id.o -MD -MP -MF $(DEPDIR)/lexeme_id.Tpo -c -o lexeme_id.o `test -f '../lexeme_id.cpp' || echo '$(srcdir)/'`../lexeme_id.cpp
373         mv -f $(DEPDIR)/lexeme_id.Tpo $(DEPDIR)/lexeme_id.Po
374 #       source='../lexeme_id.cpp' object='lexeme_id.o' libtool=no \
375 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
376 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o lexeme_id.o `test -f '../lexeme_id.cpp' || echo '$(srcdir)/'`../lexeme_id.cpp
377
378 lexeme_id.obj: ../lexeme_id.cpp
379         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT lexeme_id.obj -MD -MP -MF $(DEPDIR)/lexeme_id.Tpo -c -o lexeme_id.obj `if test -f '../lexeme_id.cpp'; then $(CYGPATH_W) '../lexeme_id.cpp'; else $(CYGPATH_W) '$(srcdir)/../lexeme_id.cpp'; fi`
380         mv -f $(DEPDIR)/lexeme_id.Tpo $(DEPDIR)/lexeme_id.Po
381 #       source='../lexeme_id.cpp' object='lexeme_id.obj' libtool=no \
382 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
383 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o lexeme_id.obj `if test -f '../lexeme_id.cpp'; then $(CYGPATH_W) '../lexeme_id.cpp'; else $(CYGPATH_W) '$(srcdir)/../lexeme_id.cpp'; fi`
384
385 textarrayformat.o: ../textarrayformat.cpp
386         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT textarrayformat.o -MD -MP -MF $(DEPDIR)/textarrayformat.Tpo -c -o textarrayformat.o `test -f '../textarrayformat.cpp' || echo '$(srcdir)/'`../textarrayformat.cpp
387         mv -f $(DEPDIR)/textarrayformat.Tpo $(DEPDIR)/textarrayformat.Po
388 #       source='../textarrayformat.cpp' object='textarrayformat.o' libtool=no \
389 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
390 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o textarrayformat.o `test -f '../textarrayformat.cpp' || echo '$(srcdir)/'`../textarrayformat.cpp
391
392 textarrayformat.obj: ../textarrayformat.cpp
393         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT textarrayformat.obj -MD -MP -MF $(DEPDIR)/textarrayformat.Tpo -c -o textarrayformat.obj `if test -f '../textarrayformat.cpp'; then $(CYGPATH_W) '../textarrayformat.cpp'; else $(CYGPATH_W) '$(srcdir)/../textarrayformat.cpp'; fi`
394         mv -f $(DEPDIR)/textarrayformat.Tpo $(DEPDIR)/textarrayformat.Po
395 #       source='../textarrayformat.cpp' object='textarrayformat.obj' libtool=no \
396 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
397 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o textarrayformat.obj `if test -f '../textarrayformat.cpp'; then $(CYGPATH_W) '../textarrayformat.cpp'; else $(CYGPATH_W) '$(srcdir)/../textarrayformat.cpp'; fi`
398
399 sublexer_impl.o: ../sublexer_impl.cpp
400         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sublexer_impl.o -MD -MP -MF $(DEPDIR)/sublexer_impl.Tpo -c -o sublexer_impl.o `test -f '../sublexer_impl.cpp' || echo '$(srcdir)/'`../sublexer_impl.cpp
401         mv -f $(DEPDIR)/sublexer_impl.Tpo $(DEPDIR)/sublexer_impl.Po
402 #       source='../sublexer_impl.cpp' object='sublexer_impl.o' libtool=no \
403 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
404 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sublexer_impl.o `test -f '../sublexer_impl.cpp' || echo '$(srcdir)/'`../sublexer_impl.cpp
405
406 sublexer_impl.obj: ../sublexer_impl.cpp
407         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sublexer_impl.obj -MD -MP -MF $(DEPDIR)/sublexer_impl.Tpo -c -o sublexer_impl.obj `if test -f '../sublexer_impl.cpp'; then $(CYGPATH_W) '../sublexer_impl.cpp'; else $(CYGPATH_W) '$(srcdir)/../sublexer_impl.cpp'; fi`
408         mv -f $(DEPDIR)/sublexer_impl.Tpo $(DEPDIR)/sublexer_impl.Po
409 #       source='../sublexer_impl.cpp' object='sublexer_impl.obj' libtool=no \
410 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
411 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sublexer_impl.obj `if test -f '../sublexer_impl.cpp'; then $(CYGPATH_W) '../sublexer_impl.cpp'; else $(CYGPATH_W) '$(srcdir)/../sublexer_impl.cpp'; fi`
412
413 lexeme_impl.o: ../lexeme_impl.cpp
414         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT lexeme_impl.o -MD -MP -MF $(DEPDIR)/lexeme_impl.Tpo -c -o lexeme_impl.o `test -f '../lexeme_impl.cpp' || echo '$(srcdir)/'`../lexeme_impl.cpp
415         mv -f $(DEPDIR)/lexeme_impl.Tpo $(DEPDIR)/lexeme_impl.Po
416 #       source='../lexeme_impl.cpp' object='lexeme_impl.o' libtool=no \
417 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
418 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o lexeme_impl.o `test -f '../lexeme_impl.cpp' || echo '$(srcdir)/'`../lexeme_impl.cpp
419
420 lexeme_impl.obj: ../lexeme_impl.cpp
421         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT lexeme_impl.obj -MD -MP -MF $(DEPDIR)/lexeme_impl.Tpo -c -o lexeme_impl.obj `if test -f '../lexeme_impl.cpp'; then $(CYGPATH_W) '../lexeme_impl.cpp'; else $(CYGPATH_W) '$(srcdir)/../lexeme_impl.cpp'; fi`
422         mv -f $(DEPDIR)/lexeme_impl.Tpo $(DEPDIR)/lexeme_impl.Po
423 #       source='../lexeme_impl.cpp' object='lexeme_impl.obj' libtool=no \
424 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
425 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o lexeme_impl.obj `if test -f '../lexeme_impl.cpp'; then $(CYGPATH_W) '../lexeme_impl.cpp'; else $(CYGPATH_W) '$(srcdir)/../lexeme_impl.cpp'; fi`
426
427 delimiter.o: ../delimiter.cpp
428         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT delimiter.o -MD -MP -MF $(DEPDIR)/delimiter.Tpo -c -o delimiter.o `test -f '../delimiter.cpp' || echo '$(srcdir)/'`../delimiter.cpp
429         mv -f $(DEPDIR)/delimiter.Tpo $(DEPDIR)/delimiter.Po
430 #       source='../delimiter.cpp' object='delimiter.o' libtool=no \
431 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
432 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o delimiter.o `test -f '../delimiter.cpp' || echo '$(srcdir)/'`../delimiter.cpp
433
434 delimiter.obj: ../delimiter.cpp
435         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT delimiter.obj -MD -MP -MF $(DEPDIR)/delimiter.Tpo -c -o delimiter.obj `if test -f '../delimiter.cpp'; then $(CYGPATH_W) '../delimiter.cpp'; else $(CYGPATH_W) '$(srcdir)/../delimiter.cpp'; fi`
436         mv -f $(DEPDIR)/delimiter.Tpo $(DEPDIR)/delimiter.Po
437 #       source='../delimiter.cpp' object='delimiter.obj' libtool=no \
438 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
439 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o delimiter.obj `if test -f '../delimiter.cpp'; then $(CYGPATH_W) '../delimiter.cpp'; else $(CYGPATH_W) '$(srcdir)/../delimiter.cpp'; fi`
440
441 parser.o: ../parser.cpp
442         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT parser.o -MD -MP -MF $(DEPDIR)/parser.Tpo -c -o parser.o `test -f '../parser.cpp' || echo '$(srcdir)/'`../parser.cpp
443         mv -f $(DEPDIR)/parser.Tpo $(DEPDIR)/parser.Po
444 #       source='../parser.cpp' object='parser.o' libtool=no \
445 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
446 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o parser.o `test -f '../parser.cpp' || echo '$(srcdir)/'`../parser.cpp
447
448 parser.obj: ../parser.cpp
449         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT parser.obj -MD -MP -MF $(DEPDIR)/parser.Tpo -c -o parser.obj `if test -f '../parser.cpp'; then $(CYGPATH_W) '../parser.cpp'; else $(CYGPATH_W) '$(srcdir)/../parser.cpp'; fi`
450         mv -f $(DEPDIR)/parser.Tpo $(DEPDIR)/parser.Po
451 #       source='../parser.cpp' object='parser.obj' libtool=no \
452 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
453 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o parser.obj `if test -f '../parser.cpp'; then $(CYGPATH_W) '../parser.cpp'; else $(CYGPATH_W) '$(srcdir)/../parser.cpp'; fi`
454
455 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
456         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
457         unique=`for i in $$list; do \
458             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
459           done | \
460           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
461               END { if (nonempty) { for (i in files) print i; }; }'`; \
462         mkid -fID $$unique
463 tags: TAGS
464
465 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
466                 $(TAGS_FILES) $(LISP)
467         tags=; \
468         here=`pwd`; \
469         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
470         unique=`for i in $$list; do \
471             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
472           done | \
473           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
474               END { if (nonempty) { for (i in files) print i; }; }'`; \
475         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
476           test -n "$$unique" || unique=$$empty_fix; \
477           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
478             $$tags $$unique; \
479         fi
480 ctags: CTAGS
481 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
482                 $(TAGS_FILES) $(LISP)
483         tags=; \
484         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
485         unique=`for i in $$list; do \
486             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
487           done | \
488           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
489               END { if (nonempty) { for (i in files) print i; }; }'`; \
490         test -z "$(CTAGS_ARGS)$$tags$$unique" \
491           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
492              $$tags $$unique
493
494 GTAGS:
495         here=`$(am__cd) $(top_builddir) && pwd` \
496           && cd $(top_srcdir) \
497           && gtags -i $(GTAGS_ARGS) $$here
498
499 distclean-tags:
500         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
501
502 check-TESTS: $(TESTS)
503         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
504         srcdir=$(srcdir); export srcdir; \
505         list=' $(TESTS) '; \
506         if test -n "$$list"; then \
507           for tst in $$list; do \
508             if test -f ./$$tst; then dir=./; \
509             elif test -f $$tst; then dir=; \
510             else dir="$(srcdir)/"; fi; \
511             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
512               all=`expr $$all + 1`; \
513               case " $(XFAIL_TESTS) " in \
514               *[\ \     ]$$tst[\ \      ]*) \
515                 xpass=`expr $$xpass + 1`; \
516                 failed=`expr $$failed + 1`; \
517                 echo "XPASS: $$tst"; \
518               ;; \
519               *) \
520                 echo "PASS: $$tst"; \
521               ;; \
522               esac; \
523             elif test $$? -ne 77; then \
524               all=`expr $$all + 1`; \
525               case " $(XFAIL_TESTS) " in \
526               *[\ \     ]$$tst[\ \      ]*) \
527                 xfail=`expr $$xfail + 1`; \
528                 echo "XFAIL: $$tst"; \
529               ;; \
530               *) \
531                 failed=`expr $$failed + 1`; \
532                 echo "FAIL: $$tst"; \
533               ;; \
534               esac; \
535             else \
536               skip=`expr $$skip + 1`; \
537               echo "SKIP: $$tst"; \
538             fi; \
539           done; \
540           if test "$$all" -eq 1; then \
541             tests="test"; \
542             All=""; \
543           else \
544             tests="tests"; \
545             All="All "; \
546           fi; \
547           if test "$$failed" -eq 0; then \
548             if test "$$xfail" -eq 0; then \
549               banner="$$All$$all $$tests passed"; \
550             else \
551               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
552               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
553             fi; \
554           else \
555             if test "$$xpass" -eq 0; then \
556               banner="$$failed of $$all $$tests failed"; \
557             else \
558               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
559               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
560             fi; \
561           fi; \
562           dashes="$$banner"; \
563           skipped=""; \
564           if test "$$skip" -ne 0; then \
565             if test "$$skip" -eq 1; then \
566               skipped="($$skip test was not run)"; \
567             else \
568               skipped="($$skip tests were not run)"; \
569             fi; \
570             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
571               dashes="$$skipped"; \
572           fi; \
573           report=""; \
574           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
575             report="Please report to $(PACKAGE_BUGREPORT)"; \
576             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
577               dashes="$$report"; \
578           fi; \
579           dashes=`echo "$$dashes" | sed s/./=/g`; \
580           echo "$$dashes"; \
581           echo "$$banner"; \
582           test -z "$$skipped" || echo "$$skipped"; \
583           test -z "$$report" || echo "$$report"; \
584           echo "$$dashes"; \
585           test "$$failed" -eq 0; \
586         else :; fi
587
588 distdir: $(DISTFILES)
589         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
590         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
591         list='$(DISTFILES)'; \
592           dist_files=`for file in $$list; do echo $$file; done | \
593           sed -e "s|^$$srcdirstrip/||;t" \
594               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
595         case $$dist_files in \
596           */*) $(MKDIR_P) `echo "$$dist_files" | \
597                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
598                            sort -u` ;; \
599         esac; \
600         for file in $$dist_files; do \
601           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
602           if test -d $$d/$$file; then \
603             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
604             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
605               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
606             fi; \
607             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
608           else \
609             test -f $(distdir)/$$file \
610             || cp -p $$d/$$file $(distdir)/$$file \
611             || exit 1; \
612           fi; \
613         done
614 check-am: all-am
615         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
616 check: check-am
617 all-am: Makefile $(PROGRAMS)
618 installdirs:
619         for dir in "$(DESTDIR)$(bindir)"; do \
620           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
621         done
622 install: install-am
623 install-exec: install-exec-am
624 install-data: install-data-am
625 uninstall: uninstall-am
626
627 install-am: all-am
628         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
629
630 installcheck: installcheck-am
631 install-strip:
632         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
633           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
634           `test -z '$(STRIP)' || \
635             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
636 mostlyclean-generic:
637
638 clean-generic:
639
640 distclean-generic:
641         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
642
643 maintainer-clean-generic:
644         @echo "This command is intended for maintainers to use"
645         @echo "it deletes files that may require special tools to rebuild."
646 clean: clean-am
647
648 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
649
650 distclean: distclean-am
651         -rm -rf ./$(DEPDIR)
652         -rm -f Makefile
653 distclean-am: clean-am distclean-compile distclean-generic \
654         distclean-tags
655
656 dvi: dvi-am
657
658 dvi-am:
659
660 html: html-am
661
662 info: info-am
663
664 info-am:
665
666 install-data-am:
667
668 install-dvi: install-dvi-am
669
670 install-exec-am: install-binPROGRAMS
671
672 install-html: install-html-am
673
674 install-info: install-info-am
675
676 install-man:
677
678 install-pdf: install-pdf-am
679
680 install-ps: install-ps-am
681
682 installcheck-am:
683
684 maintainer-clean: maintainer-clean-am
685         -rm -rf ./$(DEPDIR)
686         -rm -f Makefile
687 maintainer-clean-am: distclean-am maintainer-clean-generic
688
689 mostlyclean: mostlyclean-am
690
691 mostlyclean-am: mostlyclean-compile mostlyclean-generic
692
693 pdf: pdf-am
694
695 pdf-am:
696
697 ps: ps-am
698
699 ps-am:
700
701 uninstall-am: uninstall-binPROGRAMS
702
703 .MAKE: install-am install-strip
704
705 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
706         clean-binPROGRAMS clean-generic ctags distclean \
707         distclean-compile distclean-generic distclean-tags distdir dvi \
708         dvi-am html html-am info info-am install install-am \
709         install-binPROGRAMS install-data install-data-am install-dvi \
710         install-dvi-am install-exec install-exec-am install-html \
711         install-html-am install-info install-info-am install-man \
712         install-pdf install-pdf-am install-ps install-ps-am \
713         install-strip installcheck installcheck-am installdirs \
714         maintainer-clean maintainer-clean-generic mostlyclean \
715         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
716         tags uninstall uninstall-am uninstall-binPROGRAMS
717
718 # Tell versions [3.59,3.63) of GNU make to not export all variables.
719 # Otherwise a system limit (for SysV at least) may be exceeded.
720 .NOEXPORT: